<!DOCTYPE html>
<html>
	<head>
		<title>Fetch Api</title>
	</head>
	<body>
		<h1>using fetch api</h1>
		<div id="output"></div>
		<button id = "btn1">Get Data</button>
	</body>
	<script>
		
		const getData = () =>{

		fetch('https://jsonplaceholder.typicode.com/users').then((result)=>{
			return result.json()
		}).then((data) => {
			console.log(data)
			let users = '';
			data.forEach((user) => {
				users += 
				`<div> 
					<h3>${user.name}</h3>
					<p>${user.email}</p>
				</div>`
			})
			document.querySelector('#output').innerHTML = users
		})
		.catch((err) => {
			console.log('rejected', err)
		})
	

	}
	const btn1 = document.querySelector('#btn1');
		btn1.addEventListener('click', getData);
	</script>
</html>